﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

using System.IO;
using iTextSharp.text;
using iTextSharp.text.pdf;

public partial class CS : System.Web.UI.Page
{
    protected void Upload(object sender, EventArgs e)
    {
        //Save the Uploaded Image file.
        string filePath = Server.MapPath("~/Uploads/") + Path.GetFileName(FileUpload1.PostedFile.FileName);
        FileUpload1.SaveAs(filePath);

        //Initialize the PDF document object.
        using (Document pdfDoc = new Document(PageSize.A4, 10f, 10f, 10f, 10f))
        {
            PdfWriter writer = PdfWriter.GetInstance(pdfDoc, Response.OutputStream);
            pdfDoc.Open();

            //Add the Image file to the PDF document object.
            iTextSharp.text.Image img = iTextSharp.text.Image.GetInstance(filePath);
            pdfDoc.Add(img);
            pdfDoc.Close();

            //Download the PDF file.
            Response.ContentType = "application/pdf";
            Response.AddHeader("content-disposition", "attachment;filename=ImageExport.pdf");
            Response.Cache.SetCacheability(HttpCacheability.NoCache);
            Response.Write(pdfDoc);
            Response.End();
        }
    }
}